import { registerExtension } from '@codingame/monaco-vscode-api/extensions';

var manifest = {name:"json",displayName:"%displayName%",description:"%description%",version:"1.0.0",publisher:"vscode",license:"MIT",engines:{vscode:"0.10.x"},scripts:{"update-grammar":"node ./build/update-grammars.js"},categories:["Programming Languages"],contributes:{languages:[{id:"json",aliases:["JSON","json"],extensions:[".json",".bowerrc",".jscsrc",".webmanifest",".js.map",".css.map",".ts.map",".har",".jslintrc",".jsonld",".geojson",".ipynb",".vuerc"],filenames:["composer.lock",".watchmanconfig"],mimetypes:["application/json","application/manifest+json"],configuration:"./language-configuration.json"},{id:"jsonc",aliases:["JSON with Comments"],extensions:[".jsonc",".eslintrc",".eslintrc.json",".jsfmtrc",".jshintrc",".swcrc",".hintrc",".babelrc"],filenames:["babel.config.json","bun.lock",".babelrc.json",".ember-cli","typedoc.json"],configuration:"./language-configuration.json"},{id:"jsonl",aliases:["JSON Lines"],extensions:[".jsonl",".ndjson"],filenames:[],configuration:"./language-configuration.json"},{id:"snippets",aliases:["Code Snippets"],extensions:[".code-snippets"],filenamePatterns:["**/User/snippets/*.json","**/User/profiles/*/snippets/*.json"],configuration:"./language-configuration.json"}],grammars:[{language:"json",scopeName:"source.json",path:"./syntaxes/JSON.tmLanguage.json"},{language:"jsonc",scopeName:"source.json.comments",path:"./syntaxes/JSONC.tmLanguage.json"},{language:"jsonl",scopeName:"source.json.lines",path:"./syntaxes/JSONL.tmLanguage.json"},{language:"snippets",scopeName:"source.json.comments.snippets",path:"./syntaxes/snippets.tmLanguage.json"}]},repository:{type:"git",url:"https://github.com/microsoft/vscode.git"},main:undefined};

const { registerFileUrl, whenReady } = registerExtension(manifest, undefined, {"system":true});
registerFileUrl('./language-configuration.json', new URL('./resources/language-configuration.json', import.meta.url).toString(), {"mimeType":"application/json","size":752});
registerFileUrl('./syntaxes/JSON.tmLanguage.json', new URL('./resources/JSON.tmLanguage.json', import.meta.url).toString(), {"mimeType":"application/json","size":3924});
registerFileUrl('./syntaxes/JSONC.tmLanguage.json', new URL('./resources/JSONC.tmLanguage.json', import.meta.url).toString(), {"mimeType":"application/json","size":4190});
registerFileUrl('./syntaxes/JSONL.tmLanguage.json', new URL('./resources/JSONL.tmLanguage.json', import.meta.url).toString(), {"mimeType":"application/json","size":4092});
registerFileUrl('./syntaxes/snippets.tmLanguage.json', new URL('./resources/snippets.tmLanguage.json', import.meta.url).toString(), {"mimeType":"application/json","size":252441});
registerFileUrl('package.json', new URL('./resources/package.json', import.meta.url).toString(), {"mimeType":"application/json","size":1757});
registerFileUrl('package.nls.json', new URL('./resources/package.nls.json', import.meta.url).toString(), {"mimeType":"application/json","size":117});

export { whenReady };
